class Particle {
  PVector loc;
  PVector vel;
  int rad;
  boolean visited;
  int justCollided;
  
  Particle(PVector l, PVector v, int r) {
    loc = l.get();
    vel = v.get();
    rad = r;
    visited = false;
    justCollided = 0;
  }
  
  void render() {
    // Set color
    if(justCollided > 0)
      fill(255,0,0);
    else
      fill(175);
    
    // Draw particle  
    ellipse(loc.x,loc.y,2*rad,2*rad);
  }
  
}
